void setup() {
#if MODE == MODE_MOUSE
  DigiMouse.begin();
#endif

  switch (InType) {
    case INTYPE_SWITCH:
      PinSw = 0;  // P0 (D0)
      break;
    case INTYPE_DIGITAL:
      PinSw = 2;  // P2 (D2)
      break;
    case INTYPE_ANALOG:
      PinSw = 1;  // P2 (A1)
      break;
  }

#if INTYPE == INTYPE_SWITCH
  pinMode(PinSw, INPUT_PULLUP);
#endif
#if INTYPE == INTYPE_DIGITAL
  pinMode(PinSw, INPUT);
#endif

  pinMode(PinLed, OUTPUT);

#if MODE == MODE_DEBUG
  DigiUSB.begin();
  DigiUSB.delay(500);
#endif
}
