//////////////////////////////////////////////
// DigitalToRightClick
//      マウスの右ボタンを押します。ダブルクリック、ドラッグできます。
//
//　    　　　　　2020/3/08　　M.Kojima
//　    　　　　　2023/4/09　　M.Kojima
//
#include <DigiMouse.h>
//#include <DigiKeyboard.h>
//#include <DigiUSB.h>

#define MODE_DEBUG 0
#define MODE_KEY 1
#define MODE_MOUSE 2
#define MODE MODE_MOUSE

#define INTYPE_SWITCH 0
#define INTYPE_DIGITAL 1
#define INTYPE_ANALOG 2

#define ACT_DIRECT 0  // 直接
#define ACT_RISE 1    // 信号立ち上げ時
#define ACT_FALL 2    // 信号立ち下がり時

const int InType = INTYPE_DIGITAL;
const int TriggerAct = ACT_DIRECT;
//const int SendCode = KEY_SPACE;
//const int SendCode = KEY_ENTER;
const int SendModif = 0;
const bool DoubleClick = false;  // true:ダブルクリック（MODE_MOUSEの時のみ有効）
const bool RightClick = true  ;   // true:右クリック （MODE_MOUSEの時のみ有効）

#include <DigiMouse.h>
//#include <DigiKeyboard.h>
//#include <DigiUSB.h>

const int Interval = 100;     // ダブルクリックの間隔 ms
const int CheckHist = B1111;  // 過去4回分を確認
const int PinLed = 1;         // P1 (D1)

int PinSw;
bool lastSw = false;        // 1つ前の状態 true:押されている false:離されている
int inputHist = CheckHist;  // ずっと離されている

void setup();
void loop();
